Rysunek Techniczny: Wymiar średnicy

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw DiameterDimension and the translation is 6% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский

TechDraw DiameterDimension.svg TechDraw DiameterDimension

Menu location
TechDraw → Dimensions → Insert Diameter Dimension
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
TechDraw RadiusDimension

Description

The Diameter Dimension tool adds a diameter dimension to a View. The dimension may be applied to any circular in the drawing. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the TechDraw LinkDimension.svg TechDraw LinkDimension tool.

TechDraw Dimension Diameter example.png

Measuring a circle, indicating the diameter

Usage

  1. Select a circular edge in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a diameter dimension in these cases)
  2. Press the TechDraw DiameterDimension.svg Diameter Dimension button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.
  4. If needed, add tolerances as described in this page.

To change the properties of a dimension object either double-clicking it in the drawing or in the Tree view. This will open the dimension dialog.

Limitations

Dimension objects are vulnerable to the "topological naming problem". See TechDraw LengthDimension for more information.

Properties

See TechDraw LengthDimension.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Diameter Dimension tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Diameter"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)